Bug 1463837 - [RFE][Neutron][NFV][IF4] Scheduler to relate bandwidth per SR-IOV interface to total PF bandwidth
[RFE][Neutron][NFV][IF4] Scheduler to relate bandwidth per SR-IOV interface t...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Assaf Muller
Toni Freger
: FutureFeature
Depends On:
Blocks: 1235009 1419948
  Show dependency treegraph
 
Reported: 2017-06-21 16:57 EDT by JP Jung
Modified: 2017-11-16 11:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JP Jung 2017-06-21 16:57:20 EDT
Description of problem:

* Some VNF requires the use of SRIOV for dataplane interfaces, specifying also a BW for that interface. The BW required for each interface is a requirement specified in the VNF descriptor.
* PCI SRIOV allows multiplexing a single physical interface into several virtual interfaces called Virtual Functions (VF) or SRIOV interfaces. This means that from a single 10G physical interface we should be able to split it in several virtual functions each one consuming a different BW:
    * Example 1: 4 virtual functions with 5Gbps, 2Gbps, 2Gbps and 1Gbps
    * Example 2: 10 virtual functions, each one with 1Gbps
* The number of VF configured in a physical interface can be high, for instance 64, but the number of actually used VF in a physical interface depends on the actual BW reserved for each VF and the total BW of the physical interface.
* When searching a host to deploy a VM, nova scheduler should take into account the amount of BW reserved by the previous VMs on each physical interface. Today, BW is not taken into consideration.
* Moreover, BW occupied on each physical interface is an important driver for host selection. It might make sense for nova to have some policy that prefers deploying on a host whose physical interfaces have less available BW in order to make a better use of the network resources.
Comment 2 Nir Yechiel 2017-10-18 02:36:35 EDT
We have reviewed this feature request and we won't be able to prioritize it for RHOSP 13 due to other priorities.

Note You need to log in before you can comment on or make changes to this bug.